#include "vtkEdgeFaceCellIterator.h"

#include "vtkEdgeFaceDataSet.h"

#include "vtkObjectFactory.h"

vtkStandardNewMacro(vtkEdgeFaceCellIterator);
vtkCxxRevisionMacro(vtkEdgeFaceCellIterator, "$Revision: 1.1 $");
vtkCxxSetObjectMacro(vtkEdgeFaceCellIterator,DataSet,vtkEdgeFaceDataSet);

vtkEdgeFaceCellIterator::vtkEdgeFaceCellIterator()
{
  this->DataSet = 0;
  this->Mode = MESH;
}

vtkEdgeFaceCellIterator::~vtkEdgeFaceCellIterator()
{
  this->SetDataSet( 0 ); // release reference to dataset
}

void vtkEdgeFaceCellIterator::PrintSelf( ostream& os, vtkIndent indent )
{
  this->Superclass::PrintSelf(os,indent);
  os << indent << "DataSet: " << this->DataSet << "\n";
  os << indent << "Mode: ";
  switch ( this->Mode )
    {
  case BOUNDARY:
    os << "Boundary";
    break;
  case MESH:
    os << "Mesh";
    break;
  default:
    os << "(invalid)";
    break;
    }
  os << "\n";
}

void vtkEdgeFaceCellIterator::Begin()
{
  // FIXME
}

int vtkEdgeFaceCellIterator::IsAtEnd()
{
  // FIXME
}

vtkGenericAdaptorCell* vtkEdgeFaceCellIterator::NewCell()
{
  // FIXME
  return 0;
}

void vtkEdgeFaceCellIterator::GetCell( vtkGenericAdaptorCell* c )
{
  // FIXME
}

vtkGenericAdaptorCell* vtkEdgeFaceCellIterator::GetCell()
{
  // FIXME
}

void vtkEdgeFaceCellIterator::Next()
{
  // FIXME
}

